-- Record Peter Olsen selling the flat (current time deletion)
-- This partial implementation only considers the valid time dimension
UPDATE Prop_Owner
SET VT_End = SYSDATE
WHERE property_number = 7797
  AND VT_Begin < SYSDATE
  AND VT_End > SYSDATE;

DELETE FROM Prop_Owner
WHERE property_number = 7797
  AND VT_Begin >= SYSDATE;
